Skip to content

Fetch multiple records

Request

The API fetches multiple records at once in the specific {data-partition-id}. The value of {frame-of-reference} indicates whether normalization is applied. Required roles: 'users.datalake.viewers' or 'users.datalake.editors' or 'users.datalake.admins'.

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id

frame-of-referencestringrequired

This value indicates whether normalization applies, should be either 'none' or 'units=SI;crs=wgs84;elevation=msl;azimuth=true north;dates=utc;'

Default:"units=SI;crs=wgs84;elevation=msl;azimuth=true north;dates=utc;"
Bodyapplication/json
recordsArray of stringsrequired

List of record ids need to be fetched.

Example:
[ "slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac1" ]
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/storage/v2/query/records:batch \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -H 'frame-of-reference: units=SI;crs=wgs84;elevation=msl;azimuth=true north;dates=utc;' \
  -d '{
    "records": [
      "slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac1",
      "slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac2"
    ]
  }'

Responses

OK.

Bodyapplication/json
recordsArray of strings
notFoundArray of strings
conversionStatusesArray of objects(ConversionStatus)
Response
{ "records": [ "string" ], "notFound": [ "string" ], "conversionStatuses": [ { … } ] }